eclipse启动报错原来是32位版的eclipse找不到32位的jdk

1. 打算使用以前的eclipse环境打开一个java web项目,luna版本嫌太耗费资源了,打算使用indigo版本,结果一直报错:

Failed to load the JNI shared library "F:\Java\jdk1.8.0_102\bin\..\jre\bin\server\jvm.dll".

2. 不停地尝试去换jdk路劲,结果还是不行。

3. 试了一个kepler版本的,居然启动了.于是开始思考为何一个可以一个不可以(32位kepler不可以启动,64位的可以)?

4. 注意到eclipse.ini的内容:

plugins/org.eclipse.equinox.launcher.win32.win32.x86_1.1.100.v20110502

plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.200.v20130521-0416

随即明白了,我本地都是64位的jdk,以前32位版的eclipse当然起不来啊!

原来并不是改改eclipse.ini能解决的问题啊!

展开阅读全文

没有更多推荐了,返回首页